Bro I love how honest you are!! It really really makes you stand out against all of the other KZbinrs who provide leetcode solutions. Keep it up man I’m a fan 🙌🏾
@crackfaang10 ай бұрын
Haha yea I like to keep it real, especially with the shit questions.
@alabamatabasco34189 ай бұрын
"Dynamic programming is shit"... sirens in the background lmao
@hennessyypapi Жыл бұрын
thank you for everything. out of all the major youtubers, your explanations resonate the most with me.
@fadsa342 Жыл бұрын
I used recursion with memoization to solve the problem but your solution is a lot easier to grasp if I'm being honest. Out of curiosity can BFS be applied to most problems that you'd normally use DP or recursion for? And do you have any resources for getting better at determining space/time complexity?
@crackfaang Жыл бұрын
I generally stay away from anything DP because I find the concept total bullshit. I will when necessary use recursion + memoization to get around standard DP problems. I always look for the DFS/BFS solution where it exists because my brain can very easily understand and code those, whereas DP is too much of a mind-bend. In terms of getting better at time/space complexity analysis, it really comes down to repetition and understanding the basics of what operations are what which then stack on top of each other when applied in a larger algorithm
@TheSmashtenАй бұрын
Love the BFS approach, so much simpler than DP and intuitive. I hope my interviewer isn't an asshole.
@Soukaina-n9f24 күн бұрын
Thanks a lot for the non-dp solution. But a question please, in time complexity aren't you missing the outer loop ?
@harshithamaripally377610 ай бұрын
your explanations resonate the most with me.
@crackfaang10 ай бұрын
Thanks for the kind words mate! Glad to have you with us on the channel :)
@yemaneabrha66373 ай бұрын
You have used start with built in function from python right ? but I was considering the goal of this question is to implement prefix , find prefix I mean using tries am I wrong ?
@samvaidya19872 жыл бұрын
@4:21 - why do you think we have to process "leet" again?
@lonen3rd Жыл бұрын
Because a word can exist multiple times in s e.g. s = "applepenapple"
@eduardoignacioroblessosa63498 ай бұрын
that was a pretty intuitive solution, just beautiful
@akjenksgamer12662 жыл бұрын
Thank you! I don't like dp either so i'm glad i found another solution
@crackfaang2 жыл бұрын
Haha yea I try to avoid DP at all costs. It’s such a stupid and horrendous way of solving these problems
@abbyh28792 жыл бұрын
It works but I am not sure why BFS?
@crackfaang2 жыл бұрын
Well if you can do the brute force solution but you aren't getting the job. So it's now a choice between DFS, BFS, and dynamic programming. I personally fucking hate DP and don't code any solutions in that garbage lol. And I think any time you have a choice between BFS and DFS I would choose BFS because you don't have to worry about recursion and stack overflow. And a lot of the times if you code up the recursive solution they ask for the iterative afterwards. It's up to you what way works best for you. I just went with BFS because it's my preferred solution and the one I can explain the best :)
@abbyh28792 жыл бұрын
@@crackfaang Thanks for the reply, makes sense. I hate DP too, that's the reason I am subscribed to your channel, because I can always find non-DP solutions here.